Bug 807557 - virt-sysprep: wrong params are passed to virt-inspector
virt-sysprep: wrong params are passed to virt-inspector
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 03:08 EDT by Qixiang Wan
Modified: 2012-06-20 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: libguestfs-1.16.12-3.el6
Doc Type: Bug Fix
Doc Text:
No Documentation needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 03:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qixiang Wan 2012-03-28 03:08:06 EDT
Description of problem:
virt-sysprep pass wrong params to virt-inspector in this line:
virt-inspector "${params[@]}" > $tmpdir/xml

So if run:
# virt-sysprep -d rhel

The params will be "-d rhel", and virt-inspector will fail with "unknown option: d".
 
Version-Release number of selected component (if applicable):
libguestfs-1.16.12-1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. # virt-sysprep -d rhel
   or with some other options like "-a /path/to/image"
  
Actual results:
# virt-sysprep -d rhel
Unknown option: d
Usage:
     virt-inspector [--connect URI] domname

     virt-inspector guest.img [guest.img ...]


Expected results:
No error.

Additional info:
Comment 1 Richard W.M. Jones 2012-03-28 15:14:08 EDT
Oh dear.

"virt-inspector" in that script needs to be replaced by
"virt-inspector2".
Comment 3 Richard W.M. Jones 2012-04-02 08:32:48 EDT
Fixed in libguestfs-1.16.12-3.el6.
Comment 4 Qin Guan 2012-04-05 09:05:33 EDT
Verify this problem with libguestfs-1.16.15-3.el6.

The virt-sysprep can pass params to virt-inspector successfully.

Tested with:
virt-sysprep -a [guest-image-file]
virt-sysprep -d [guest-domain-name]

Check that the guest image configuration is reset with above commands.
Comment 5 Qin Guan 2012-04-05 23:01:00 EDT
(In reply to comment #4)
> Verify this problem with libguestfs-1.16.15-3.el6.

Sorry, correct the version as libguestfs-1.16.15-1.el6

Tested also with the options of -a|--add, -c|--connect, -d|--domain, --format and -v|--verbose, all the params pass correctly.
Comment 6 Richard W.M. Jones 2012-04-26 08:25:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No Documentation needed
Comment 8 errata-xmlrpc 2012-06-20 03:01:24 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0774.html

Note You need to log in before you can comment on or make changes to this bug.